-#!/bin/sh -eu
+#!/bin/sh
+set -eu
#if 0 /// elogind needs musl_missing.sh, which is in shared.
# $1 -dM -include linux/capability.h -include "$2" -include "$3" - </dev/null | \
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
$1 -dM -include errno.h - </dev/null | \
awk '/^#define[ \t]+E[^ _]+[ \t]+/ { print $2; }'
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
$1 -dM -include netinet/in.h - </dev/null | \
awk '/^#define[ \t]+IPPROTO_[^ \t]+[ \t]+[^ \t]/ { print $2; }' | \
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
cd "$MESON_SOURCE_ROOT"
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
"$@" '-' -o/dev/null </dev/null
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
export SYSTEMD_LOG_LEVEL=info
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
git shortlog -s `git describe --abbrev=0`.. | \
cut -c8- | \
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
# this is needed mostly because $DESTDIR is provided as a variable,
# and we need to create the target directory...